Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSPushNotificationConfiguration Class Reference

Configuration information for Push Notifications. More...

`#import <CSPushNotificationConfiguration.h>`

Inherits NSObject.

## Properties
BOOL | enabled
| A Boolean value indicating whether Push Notifications are enabled. More...
CSPushNotificationActivationMode | activationMode
| Push Notification mode to be used for activation. More...
NSURL * | telephonyPushNotificationServiceURL
| The address information for the telephony event push notification service. More...
NSString * | voipPushToken
| A globally unique app-specific device token generated by the Apple Push Notification Service and assigned to this application instance when the iOS application registers with the service to receive incoming call push notifications. More...
NSString * | pushToken
| A globally unique app-specific device token generated by the Apple Push Notification Service and assigned to this application instance when the iOS application registers with the service to receive telephony push notifications other than incoming calls (e.g., voice mail status updates). More...
NSString * | applicationBundleId
| Application identifier in the form com.domain.application. More...
id< CSCredentialProvider > | credentialProvider
| The credential provider. More...
BOOL | useVoIPPushNotificationChannelForIncomingCalls
| A Boolean flag indicating whether the client expects the telephony server to send incoming call push notification events over Apple's VoIP push notification network or remote (non-VoIP) push notification network. More...
BOOL | useDevelopmentPushNotificationNetwork
| A Boolean flag indicating whether incoming push notification events should be sent over Apple's development push notification network (api.development.push.apple.com) or the production push notification network (api.push.apple.com). More...

## Detailed Description

Configuration information for Push Notifications.

## Property Documentation

- (CSPushNotificationActivationMode) activationMode
| read write nonatomic assign

Push Notification mode to be used for activation.

- (NSString*) applicationBundleId
| read write nonatomic strong

Application identifier in the form com.domain.application.

- (id<CSCredentialProvider>) credentialProvider
| read write nonatomic weak

The credential provider.

- (BOOL) enabled
| read write nonatomic assign

A Boolean value indicating whether Push Notifications are enabled.

Deprecated:
  Use the activationMode property instead.

- (NSString*) pushToken
| read write nonatomic strong

A globally unique app-specific device token generated by the Apple Push Notification Service and assigned to this application instance when the iOS application registers with the service to receive telephony push notifications other than incoming calls (e.g., voice mail status updates).

See Apple's "Local and Remote Notification Programming Guide" for more information on how this token is generated and used. Valid voipPushToken and pushToken fields must be provided in order to get push notification service from Avaya telephony servers.

- (NSURL*) telephonyPushNotificationServiceURL
| read write nonatomic copy

The address information for the telephony event push notification service.

Example: https://server_address:server_port/

- (BOOL) useDevelopmentPushNotificationNetwork
| read write nonatomic assign

A Boolean flag indicating whether incoming push notification events should be sent over Apple's development push notification network (api.development.push.apple.com) or the production push notification network (api.push.apple.com).

The Boolean flag is set to YES if the application is built using a development provisioning profile. By default, the property is set to NO, and Apple's production network is used to route push notification messages.

- (BOOL) useVoIPPushNotificationChannelForIncomingCalls
| read write nonatomic assign

A Boolean flag indicating whether the client expects the telephony server to send incoming call push notification events over Apple's VoIP push notification network or remote (non-VoIP) push notification network.

By default, the flag is set to YES, indicating that the VoIP push notification channel will be used for incoming calls. However, in market environments where use of CallKit APIs is not allowed (e.g., due to governmental regulations), the client application should set this parameter to NO, thus controlling the delivery of incoming call push notification messages over Apple's remote (non-VoIP) push notification network.

- (NSString*) voipPushToken
| read write nonatomic strong

A globally unique app-specific device token generated by the Apple Push Notification Service and assigned to this application instance when the iOS application registers with the service to receive incoming call push notifications.

This token is required for receiving VoIP priority push notification messages through iOS PushKit APIs. Avaya telephony servers (e.g., Avaya Aura or Avaya IP Office Server) use Apple's VoIP priority push notification mechanism to deliver incoming call notifications to iOS clients. Valid voipPushToken and pushToken fields must be provided in order to get push notification service from Avaya telephony servers.

The documentation for this class was generated from the following file:

- CSPushNotificationConfiguration.h